classification
Title: merge PC/getpathp.c into Modules/getpath.c
Type: enhancement Stage: resolved
Components: Build Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: amaury.forgeotdarc, brian.curtin, eric.araujo, maker, tim.golden, vstinner
Priority: normal Keywords:

Created on 2010-08-20 21:41 by amaury.forgeotdarc, last changed 2019-09-26 01:01 by vstinner. This issue is now closed.

Messages (5)
msg114460 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2010-08-20 21:41
The file Modules/getpath.c computes sys.prefix and the initial sys.path.
The Windows version uses its own copy of this file, with a lot of similarities, but also non-obvious differences.

I propose to merge both files, this would ease maintenance and understanding of how these paths are determined.
msg114736 - (view) Author: Tim Golden (tim.golden) * (Python committer) Date: 2010-08-23 10:42
+1 in principle
msg136784 - (view) Author: Michele OrrĂ¹ (maker) * Date: 2011-05-24 19:31
In which cases it goes to PC/getpathp.c? I suppose it's Modules/getpath.c otherwise.

Line 495 on getpathp.c let me guess it's not only for Windows.
msg136978 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-05-26 16:21
> I propose to merge both files, this would ease maintenance
> and understanding of how these paths are determined.

You mean to have only one function? I would prefer to keep two functions, but one should call the another one :) (you should factorize the code)
msg353250 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-09-26 01:01
In the implementation of the PEP 587 in Python 3.8, I created Python/pathconfig.c and the _PyPathConfig to share code which can be easily shared. Right now, remaining code is platform specific.
History
Date User Action Args
2019-09-26 01:01:42vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg353250

stage: resolved
2011-05-26 16:21:27vstinnersetmessages: + msg136978
2011-05-26 15:53:47eric.araujosetnosy: + vstinner, eric.araujo

versions: + Python 3.3, - Python 3.2
2011-05-24 19:31:17makersetnosy: + maker
messages: + msg136784
2010-08-23 10:42:26tim.goldensetnosy: + tim.golden
messages: + msg114736
2010-08-20 21:41:08amaury.forgeotdarccreate